> For the complete documentation index, see [llms.txt](https://docs.alemba.com/asm-hermes/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.alemba.com/asm-hermes/integrate/apis/alemba-restful-api/installing-the-alemba-api.md).

# Installing the Alemba API

Installing the Alemba API will not impact your current API in any way. It is simply making it available for you to explore.

The web services should be automatically configured as part of the install. However, we advise that you:

* check the settings in IIS, to confirm that the App Pool is configured for automatic recycling out of working hours.
* configure SSL for both Alemba®.Web and Alemba®.API, to protect it from interception. To find out more about how to configure your SSL, see Configuring Authentication for the Alemba API.

The base url is&#x20;

```
http://<servername>/<VirtualDirectory>/alemba.web
```

### Licensing and Permissions

The Alemba API uses the same licensing structure as ASM, and logging in as an analyst will consume a license.

You must have a valid login for ASM, and the API will identify whether you are an analyst or a user. If you are held as both in your Person Details, you will be given the option to identify which type of session you require when you first log in to the explorer. See Logging In to the Alemba API Explorer for more details.

You must have **Alemba API Explorer** selected in the General Access Security Roles – Admin Tab of your **General Access** security role to access the explorer.

If you are using the API as a machine to machine service, it will use one of your licenses. You should consider whether you need to assign a named or concurrent license to that service.

### Authentication

To find out more about setting up authentication for the Alemba API, see Authentication, Configuring Authentication for the Alemba API, and Configuring Windows Authentication for the Alemba API.

### Troubleshooting

If you are upgrading from an earlier version of ASM Core, run the **DatabaseChecker.exe** file, as described in the Upgrade guide, prior to running Resource Manager. This checks that your database has all the query tables necessary to run Resource Manager successfully. For more details, see Running the ASM Patch Tool.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.alemba.com/asm-hermes/integrate/apis/alemba-restful-api/installing-the-alemba-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
